Index: mediaportal/WindowPlugins/GUIVideoFiles/GUIVideoTitle.cs
===================================================================
--- mediaportal/WindowPlugins/GUIVideoFiles/GUIVideoTitle.cs	(revision 28246)
+++ mediaportal/WindowPlugins/GUIVideoFiles/GUIVideoTitle.cs	(working copy)
@@ -687,7 +687,6 @@
         if (movie != null) 
         {
           string actorCover = Util.Utils.GetCoverArt(Thumbs.MovieActors, movie.Actor);
-
           SetItemThumb(item, actorCover);
         }
       }
@@ -726,6 +725,10 @@
           aItem.ThumbnailImage = aThumbPath;
         }
       }
+      else
+      {
+       SetDefaultIcon(aItem);
+      }
     }
 
     protected override void SetLabels()
@@ -884,9 +887,52 @@
             listItem.ThumbnailImage = coverArtImage;
           }
         }
+        else
+        {
+          SetDefaultIcon(listItem);
+        }
       }
     }
 
+    private void SetDefaultIcon(GUIListItem listItem)
+    {
+      if (listItem.Label != "..")
+      {
+        switch (handler.CurrentLevelWhere.ToLower())
+        {
+          case "title":
+            listItem.IconImageBig = "defaultVideoBig.png";
+            listItem.IconImage = "defaultVideo.png";
+            listItem.ThumbnailImage = "defaultVideoBig.png";
+            break;
+
+          case "actor":
+            listItem.IconImageBig = "defaultActorBig.png";
+            listItem.IconImage = "defaultActor.png";
+            listItem.ThumbnailImage = "defaultActorBig.png";
+            break;
+
+          case "genre":
+            listItem.IconImageBig = "defaultGenreBig.png";
+            listItem.IconImage = "defaultGenre.png";
+            listItem.ThumbnailImage = "defaultGenreBig.png";
+            break;
+
+          case "year":
+            listItem.IconImageBig = "defaultYearBig.png";
+            listItem.IconImage = "defaultYear.png";
+            listItem.ThumbnailImage = "defaultYearBig.png";
+            break;
+
+          default: // For user custom views
+            listItem.IconImageBig = "defaultGroupBig.png";
+            listItem.IconImage = "defaultGroup.png";
+            listItem.ThumbnailImage = "defaultGroupBig.png";
+            break;
+        }
+      }
+    }
+
     // Changed - covers with the same movie name
     private void item_OnItemSelected(GUIListItem item, GUIControl parent)
     {
